package com.cpp.web.controller.configManager;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpp.common.core.domain.R;
import com.cpp.web.domain.datafactory.ParsingFj;
import com.cpp.web.service.datafactory.ParsingFjService;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingFj")
public class ParsingFjController {
    private final ParsingFjService parsingFjService;

    @ApiOperation(value = "添加Fj配置", notes = "添加Fj配置")
    @PostMapping()
    public R add(@RequestBody ParsingFj parsingFj) {
        if (parsingFjService.save(parsingFj)) {
            return R.ok("添加成功！");
        } else {
            return R.fail("添加失败！");
        }
    }

    @ApiOperation(value = "修改Fj配置", notes = "修改Fj配置")
    @PutMapping()
    public R update(@RequestBody ParsingFj parsingFj) {
        if (parsingFjService.updateById(parsingFj)) {
            return R.ok("修改成功！");
        } else {
            return R.fail("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Fj配置", notes = "根据id删除Fj配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingFjService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.fail("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Fj配置", notes = "分页查询Fj配置")
    @GetMapping("/page")
    public R page(Long currentPage,Long pageSize) {
        Page page = new Page(currentPage, pageSize);
        page.setMaxLimit((long) -1);
        return R.ok(parsingFjService.page(page));
    }
}
